search: Search for authors by name

API: semanticscholar.org:semantic-scholar-api
Endpoint: /author/search
Response format: application/json +1 format
Auth: unknown
Method: GET
Last Status: 403
Latency: 174ms

Description

Specifying <code>papers</code> fields in the request will return all papers linked to each author in the results. Set a <code>limit</code> on the search results to reduce output size and latency.<br><br> Examples: <ul> <li><code>https://api.semanticscholar.org/graph/v1/author/search?query=adam+smith</code></li> <ul> <li>Returns with total=490, offset=0, next=100, and data is a list of 100 authors.</li> <li>Each author has their authorId and name. </li> </ul> <li><code>https://api.semanticscholar.org/graph/v1/author/search?query=adam+smith&fields=name,url,papers.title,papers.year&limit=5</code></li> <ul> <li>Returns with total=490, offset=0, next=5, and data is a list of 5 authors.</li> <li>Each author has authorId, name, url, and a list of their papers title and year.</li> </ul> <li><code>https://api.semanticscholar.org/graph/v1/author/search?query=totalGarbageNonsense</code></li> <ul> <li>Returns with total = 0, offset=0, and data is a list of 0 author.</li> </ul> <br> Limitations: <ul> <li>Can only return up to 10 MB of data at a time.</li> </ul>

Parameters (4)

fields (string, query, optional)

A comma-separated list of the fields to be returned. See the contents of the <code>data</code> array in Response Schema below for a list of all available fields that can be returned. The <code>authorId</code> field is always returned. If the fields parameter is omitted, only the <code>authorId</code> and <code>name</code> will be returned. <p>Use a period (“.”) for subfields of <code>papers</code>.<br><br> Examples: <ul> <li><code>fields=name,affiliations,papers</code></li> <li><code>fields=url,papers.year,papers.authors</code></li> </ul>

limit (integer, query, optional, default: 100)

The maximum number of results to return.<br> Must be <= 1000

offset (integer, query, optional, default: 0)

Used for pagination. When returning a list of results, start with the element at this position in the list.

query (string, query, required)

A plain-text search query string. * No special query syntax is supported. * Hyphenated query terms yield no matches (replace it with space to find matches)

Examples (3)

Basic author search by name curl
curl 'https://api.semanticscholar.org/graph/v1/author/search?query=adam+smith'
import requests

resp = requests.get(
    "https://api.semanticscholar.org/graph/v1/author/search",
    params={
        'query': 'adam smith',
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("semanticscholar")
result = api.fetch("author/search", query="adam smith")

for item in result:
    print(item)
const resp = await fetch("https://api.semanticscholar.org/graph/v1/author/search?query=adam+smith");
const data = await resp.json();
Search with papers field and limit curl
curl 'https://api.semanticscholar.org/graph/v1/author/search?query=geoffrey+hinton&fields=name%2Caffiliation%2Cpapers%2CpaperCount&limit=10' \
  -d '{"error": "Unrecognized or unsupported fields: [affiliation]"}'
import requests

resp = requests.get(
    "https://api.semanticscholar.org/graph/v1/author/search",
    params={
        'query': 'geoffrey hinton',
        'fields': 'name,affiliation,papers,paperCount',
        'limit': '10',
    },
    json={
        'error': 'Unrecognized or unsupported fields: [affiliation]',
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("semanticscholar")
result = api.fetch("author/search", query="geoffrey hinton", fields="name,affiliation,papers,paperCount", limit=10)

for item in result:
    print(item)
const body = {
  "error": "Unrecognized or unsupported fields: [affiliation]"
};

const resp = await fetch("https://api.semanticscholar.org/graph/v1/author/search?query=geoffrey+hinton&fields=name%2Caffiliation%2Cpapers%2CpaperCount&limit=10", {
  body: JSON.stringify(body),
});
const data = await resp.json();
Paginated search with offset curl
curl 'https://api.semanticscholar.org/graph/v1/author/search?query=yann+lecun&fields=name%2Caffiliation%2CcitationCount&limit=20&offset=20'
import requests

resp = requests.get(
    "https://api.semanticscholar.org/graph/v1/author/search",
    params={
        'query': 'yann lecun',
        'fields': 'name,affiliation,citationCount',
        'limit': '20',
        'offset': '20',
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("semanticscholar")
result = api.fetch("author/search", query="yann lecun", fields="name,affiliation,citationCount", limit=20, offset=20)

for item in result:
    print(item)
const resp = await fetch("https://api.semanticscholar.org/graph/v1/author/search?query=yann+lecun&fields=name%2Caffiliation%2CcitationCount&limit=20&offset=20");
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-16 17:34:11.946061 403 174ms
2026-04-16 17:19:25.419951 200 675ms
2026-04-16 03:46:51.179121 403 154ms
2026-04-16 02:25:41.385043 429 314ms
2026-04-16 00:59:59.741622 200 320ms
2026-04-15 02:26:57.349332 429 597ms
2026-04-15 02:19:00.916288 403 175ms
2026-04-15 01:54:49.773591 200 661ms
2026-04-14 04:08:23.685711 200 404ms
2026-04-14 02:56:36.429943 403 152ms
2026-04-14 00:32:53.125155 200 729ms
2026-04-12 14:34:10.009389 403 691ms
2026-04-12 14:01:38.306785 429 292ms
2026-04-12 13:01:23.492367 200 366ms
2026-04-10 02:24:15.706281 200 892ms
2026-04-10 00:41:51.616302 429 223ms
2026-04-10 00:40:45.593538 403 85ms
2026-04-09 01:51:59.803195 429 311ms
2026-04-09 01:07:58.338648 403 133ms
2026-04-09 01:02:26.113658 200 362ms
2026-03-23 10:19:20.949883 200 629ms
2026-03-23 09:24:19.526223 403 62ms
2026-03-23 09:14:58.311684 200 324ms